org.w3c.dom

## Interface TypeInfo

-     public interface TypeInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DERIVATION_EXTENSION`
    `static int` | `DERIVATION_LIST`
    `static int` | `DERIVATION_RESTRICTION`
    `static int` | `DERIVATION_UNION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTypeName()`
    `java.lang.String` | `getTypeNamespace()`
    `boolean` | `isDerivedFrom(java.lang.String typeNamespaceArg, java.lang.String typeNameArg, int derivationMethod)`

- - ### Field Detail

    - #### DERIVATION_EXTENSION

          static final int DERIVATION_EXTENSION

      See Also:
        Constant Field Values

    - #### DERIVATION_LIST

          static final int DERIVATION_LIST

      See Also:
        Constant Field Values

    - #### DERIVATION_RESTRICTION

          static final int DERIVATION_RESTRICTION

      See Also:
        Constant Field Values

    - #### DERIVATION_UNION

          static final int DERIVATION_UNION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTypeName

          java.lang.String getTypeName()

    - #### getTypeNamespace

          java.lang.String getTypeNamespace()

    - #### isDerivedFrom

          boolean isDerivedFrom(java.lang.String typeNamespaceArg,
                              java.lang.String typeNameArg,
                              int derivationMethod)